Katello - Bug #6168

Hammer subscription list should show correct required parameter
06/11/2014 04:16 PM - Adam Price

Status: Closed

Priority: Normal

Assignee: Adam Price

Category: Hammer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1097647 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1097647
Description of problem:

[root@dhcp201-170 ~J# hammer subscription list
missing param 'system_id' in parameters

The message should say: Missing param 'system-id' in parameters or may be 'content host-id'
In any case we shoud not use 'underscore' for parameter..should be 'hiphen'
Version-Release number of selected component (if applicable):

sat6 beta snap4:

Satellite-6.0.3-RHEL-6-20140508.1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:

Expected results:
The message should say: Missing param 'system-id' in parameters or may be 'content host-id'

Additional info:

Associated revisions

Revision c099977d - 06/11/2014 04:16 PM - Adam Price
fixes #6168 - subscription list should require org, BZ 1097647

Revision 17a3e7d7 - 06/12/2014 03:30 PM - Adam Price
Merge pull request #4247 from komidore64/rmi6168-subscription-list-require-org

fixes #6168 - subscription list should require org, BZ 1097647

History

#1 - 06/12/2014 03:52 PM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1097647

Applied in changeset katellojcommit:c099977dd7e8e570f8adbch9a452ba8ead4d9d420.

#2 - 06/13/2014 11:30 PM - Eric Helms
- Target version set to 45

- Triaged set to Yes

#3 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
